/**
 * ---------------------
 * 🚗🚦 Generated by nuxt-typed-router. Do not modify !
 * ---------------------
 * */

import { defineNuxtPlugin } from '#app';

export default defineNuxtPlugin((nuxtApp) => {
  const routesList = {
    checkout: 'checkout',
    couriers: 'couriers',
    couriersOrders: 'couriers-orders',
    index: 'index',
    officeCouriersCouriers: 'office-couriers-couriers',
    officeEditEdit: 'office-edit-edit',
    office: 'office',
    officeOrders: 'office-orders',
    officeProductsId: 'office-products-id',
    officeProductsAdd: 'office-products-add',
    officeProducts: 'office-products',
    orderOrderId: 'order-orderId',
    order: 'order',
    restaurantRestaurantId: 'restaurant-restaurantId',
    signin: 'signin',
    signup: 'signup',
  };

  return {
    provide: {
      typedRouter: nuxtApp.$router,
      routesList,
    },
  };
});
